
QGIS Application - Bug report #929

"Copy Features" is active even though no features are selected

2008-01-30 06:33 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10988

Description

"Copy Features" is active even though no features are selected. You can't "Copy Features" when there are no features chosen to be

copied.

Associated revisions

Revision a42820e1 - 2008-10-27 06:35 PM - Magnus Homann

Fixes #929. Only enable copy/cut action when there is a selection, and only enable paste action when there is something in the clipboard.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9551 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 6d5261bd - 2008-10-27 06:35 PM - Magnus Homann

Fixes #929. Only enable copy/cut action when there is a selection, and only enable paste action when there is something in the clipboard.

git-svn-id: http://svn.osgeo.org/qgis/trunk@9551 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-03-17 08:15 AM - leolami -

It's the same for 'Split Feautures' icon. The icon is active even though you have not allow the editing.

#2 - 2008-10-27 10:35 AM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:6d5261bd (SVN r9552).

#3 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
